<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::SimCalorimeterHitData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html">SimCalorimeterHitData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_sim_calorimeter_hit_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::SimCalorimeterHitData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_sim_calorimeter_hit_data_8h_source.html">SimCalorimeterHitData.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a8509ed07ab427387e8e7c928a3467e41"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html#a8509ed07ab427387e8e7c928a3467e41">cellID0</a></td></tr>
<tr class="memdesc:a8509ed07ab427387e8e7c928a3467e41"><td class="mdescLeft">&#160;</td><td class="mdescRight">The detector specific (geometrical) cell id.  <a href="#a8509ed07ab427387e8e7c928a3467e41">More...</a><br /></td></tr>
<tr class="separator:a8509ed07ab427387e8e7c928a3467e41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d1a30a0f27e0e22ac9090a4fe595ca1"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html#a1d1a30a0f27e0e22ac9090a4fe595ca1">cellID1</a></td></tr>
<tr class="memdesc:a1d1a30a0f27e0e22ac9090a4fe595ca1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The second detector specific (geometrical) cell id.  <a href="#a1d1a30a0f27e0e22ac9090a4fe595ca1">More...</a><br /></td></tr>
<tr class="separator:a1d1a30a0f27e0e22ac9090a4fe595ca1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9832167f5e0750e68193f817fff39664"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html#a9832167f5e0750e68193f817fff39664">energy</a></td></tr>
<tr class="memdesc:a9832167f5e0750e68193f817fff39664"><td class="mdescLeft">&#160;</td><td class="mdescRight">The energy of the hit in [GeV].  <a href="#a9832167f5e0750e68193f817fff39664">More...</a><br /></td></tr>
<tr class="separator:a9832167f5e0750e68193f817fff39664"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a514b34766feb418c108a9657e5fbe368"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html#a514b34766feb418c108a9657e5fbe368">time</a></td></tr>
<tr class="memdesc:a514b34766feb418c108a9657e5fbe368"><td class="mdescLeft">&#160;</td><td class="mdescRight">The time of the hit in [ns].  <a href="#a514b34766feb418c108a9657e5fbe368">More...</a><br /></td></tr>
<tr class="separator:a514b34766feb418c108a9657e5fbe368"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab00ee6ff106620918f5daad6718972bb"><td class="memItemLeft" align="right" valign="top">std::array&lt; float, 3 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_calorimeter_hit_data.html#ab00ee6ff106620918f5daad6718972bb">position</a></td></tr>
<tr class="memdesc:ab00ee6ff106620918f5daad6718972bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The position of the hit in world coordinates.  <a href="#ab00ee6ff106620918f5daad6718972bb">More...</a><br /></td></tr>
<tr class="separator:ab00ee6ff106620918f5daad6718972bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC simulated calorimeter hit </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_data_8h_source.html#l00012">12</a> of file <a class="el" href="_sim_calorimeter_hit_data_8h_source.html">SimCalorimeterHitData.h</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a8509ed07ab427387e8e7c928a3467e41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8509ed07ab427387e8e7c928a3467e41">&#9670;&nbsp;</a></span>cellID0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::SimCalorimeterHitData::cellID0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_data_8h_source.html#l00014">14</a> of file <a class="el" href="_sim_calorimeter_hit_data_8h_source.html">SimCalorimeterHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00051">eic::ConstSimCalorimeterHit::cellID0()</a>, <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00052">eic::SimCalorimeterHit::cellID0()</a>, <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00017">eic::ConstSimCalorimeterHit::ConstSimCalorimeterHit()</a>, and <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00017">eic::SimCalorimeterHit::SimCalorimeterHit()</a>.</p>

</div>
</div>
<a id="a1d1a30a0f27e0e22ac9090a4fe595ca1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d1a30a0f27e0e22ac9090a4fe595ca1">&#9670;&nbsp;</a></span>cellID1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::SimCalorimeterHitData::cellID1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_data_8h_source.html#l00015">15</a> of file <a class="el" href="_sim_calorimeter_hit_data_8h_source.html">SimCalorimeterHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00053">eic::ConstSimCalorimeterHit::cellID1()</a>, <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00053">eic::SimCalorimeterHit::cellID1()</a>, <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00017">eic::ConstSimCalorimeterHit::ConstSimCalorimeterHit()</a>, and <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00017">eic::SimCalorimeterHit::SimCalorimeterHit()</a>.</p>

</div>
</div>
<a id="a9832167f5e0750e68193f817fff39664"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9832167f5e0750e68193f817fff39664">&#9670;&nbsp;</a></span>energy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::SimCalorimeterHitData::energy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The energy of the hit in [GeV]. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_data_8h_source.html#l00016">16</a> of file <a class="el" href="_sim_calorimeter_hit_data_8h_source.html">SimCalorimeterHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00017">eic::ConstSimCalorimeterHit::ConstSimCalorimeterHit()</a>, <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00055">eic::ConstSimCalorimeterHit::energy()</a>, <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00054">eic::SimCalorimeterHit::energy()</a>, and <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00017">eic::SimCalorimeterHit::SimCalorimeterHit()</a>.</p>

</div>
</div>
<a id="ab00ee6ff106620918f5daad6718972bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab00ee6ff106620918f5daad6718972bb">&#9670;&nbsp;</a></span>position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt;float, 3&gt; eic::SimCalorimeterHitData::position</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The position of the hit in world coordinates. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_data_8h_source.html#l00018">18</a> of file <a class="el" href="_sim_calorimeter_hit_data_8h_source.html">SimCalorimeterHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00017">eic::ConstSimCalorimeterHit::ConstSimCalorimeterHit()</a>, <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00059">eic::ConstSimCalorimeterHit::position()</a>, <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00056">eic::SimCalorimeterHit::position()</a>, and <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00017">eic::SimCalorimeterHit::SimCalorimeterHit()</a>.</p>

</div>
</div>
<a id="a514b34766feb418c108a9657e5fbe368"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a514b34766feb418c108a9657e5fbe368">&#9670;&nbsp;</a></span>time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::SimCalorimeterHitData::time</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The time of the hit in [ns]. </p>

<p class="definition">Definition at line <a class="el" href="_sim_calorimeter_hit_data_8h_source.html#l00017">17</a> of file <a class="el" href="_sim_calorimeter_hit_data_8h_source.html">SimCalorimeterHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00017">eic::ConstSimCalorimeterHit::ConstSimCalorimeterHit()</a>, <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00017">eic::SimCalorimeterHit::SimCalorimeterHit()</a>, <a class="el" href="_sim_calorimeter_hit_const_8cc_source.html#l00057">eic::ConstSimCalorimeterHit::time()</a>, and <a class="el" href="_sim_calorimeter_hit_8cc_source.html#l00055">eic::SimCalorimeterHit::time()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_sim_calorimeter_hit_data_8h_source.html">SimCalorimeterHitData.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
